Description

I'd like subprojects to have the option of using their parent project's repository.

In my current project, I have have parent project Parent and subproject Child. The repository for Parent is 

http://www.example.com/svn/parent. Files for Child are not neatly tucked away in a single subdirectory, but rather intermingled with

files for Parent as well. This means that the only way Redmine can see Child's revisions is to duplicate Parent's repository.

Instead, I would like a checkbox on Child's "Repository" settings tab that says "Use my parent project's repository." By checking this

option, I would then be able to make a commit with a message that says "This bug fix closes 42" and have the Child's issue #42 be

closed, even though only Parent had its repository setting set to the repository URL.

Related issues:

Related to Redmine - Defect #6857: git references leaking from subproject to ... New 2010-11-09

Related to Redmine - Feature #3687: Possibility to link all projects to a sin... New 2009-07-29

History

#1 - 2008-12-11 20:29 - Arthaey Angosii

It looks like there are two patches that solve this exact problem:

Issue #2144

Issue #2256

#2 - 2010-12-17 23:59 - James Byrne

Is this feature ever going to make it into the master branch?  I have several sub projects that share the same repository.

It would be very convenient to have the option of having them all have access to their parent's repository.  On the other hand I can see where it would

be desirous to allow sub projects to have their own repository.  In that case it would be useful to have the settings for sub projects default to share the

parent's repository yet allow any sub-project to replace access to the parent's with their own.

#3 - 2011-05-13 21:27 - Bruno Medeiros

Now I'm having a repository configured on the parent, and committing on this repository affects tickets on children projects. Is this a supported feature

or just a bug or other issue side effect?

#4 - 2015-05-05 11:47 - V. Monroig

Any news about this feature?

#5 - 2015-06-30 18:54 - Erik Álvarez

+1

#6 - 2016-03-23 10:04 - clement fleury

+1

#7 - 2017-12-08 07:00 - Hasan Karaoğlu

+1
